Overview | Package | Class | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.latka.xml
Class SuiteHandler

    org.apache.commons.latka.util.xml.BasicDelegateHandler
      |
      +--org.apache.commons.latka.util.xml.DelegateHandlerImpl
            |
            +--org.apache.commons.latka.xml.LatkaHandler
                  |
                  +--org.apache.commons.latka.xml.SuiteHandler

All Implemented Interfaces:
  DelegateHandler

public class SuiteHandler
extends LatkaHandler

Constructor Summary
`SuiteHandler(org.xml.sax.XMLReader reader, LatkaEventInfo listener)`

Method Summary
`void` | `endElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String rawName)`
`org.xml.sax.InputSource` | `resolveEntity(java.lang.String publicId, java.lang.String systemId)`
`void` | `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes atts)`

Methods inherited from class org.apache.commons.latka.xml.LatkaHandler
`error, warning`

Methods inherited from class org.apache.commons.latka.util.xml.BasicDelegateHandler
`delegate, release`

Constructor Detail

### SuiteHandler

    public SuiteHandler(org.xml.sax.XMLReader reader,
                        LatkaEventInfo listener)

Method Detail

### endElement

    public void endElement(java.lang.String namespaceURI,
                           java.lang.String localName,
                           java.lang.String rawName)
                    throws org.xml.sax.SAXException

### resolveEntity

    public org.xml.sax.InputSource resolveEntity(java.lang.String publicId,
                                                 java.lang.String systemId)
                                          throws org.xml.sax.SAXException

### startElement

    public void startElement(java.lang.String uri,
                             java.lang.String localName,
                             java.lang.String qName,
                             org.xml.sax.Attributes atts)
                      throws org.xml.sax.SAXException

Overview | Package | Class | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Software Foundation. Documenation generated September 13 2001.